Applies To:
  • CitectSCADA 3.xx, 4.xx, 5.xx

I am using the Citect Version 3 (or earlier) KT driver for Allen-Bradley PLCs. I am upgrading to Citect Version 4 or later and I notice the KT driver is not supported any more. What should I use? 

The KT driver has been superseded by the ABTCP / CIKT driver. ABTCP refers to the actual protocol driver which can be used with TCP/IP or DH+ cards. CIKT refers to the specific hardware driver (configured on the boards and ports form in Citect) for the KT, KTX and -KTXD cards from Allen-Bradley.

This is documented in the Citect Version 5.00 help system.

See also Q2094 - Installing the CIKT driver